/*
* lper.h
* persistent Lua
* Luiz Henrique de Figueiredo <lhf@tecgraf.puc-rio.br>
* 07 May 2004 10:54:09
* based on an original idea by Andr de Leiradella <leiradella@bigfoot.com>
* This code is hereby placed in the public domain.
*/

lua_State *lper_open(void);
void lper_close(lua_State *L);
void *lper_realloc(void *p, size_t oldsize, size_t size);
void lper_free(void *p, size_t oldsize);

#ifdef lua_c
#define lua_open	lper_open
#define lua_close	lper_close
#endif

#ifdef lmem_c
#define l_realloc	lper_realloc
#define l_free		lper_free
#endif
